package cn.edu.zjvtit.cloudstorage.apiservice;

import cn.edu.zjvtit.cloudstorage.apiservice.entity.Entitylnl;
import com.sun.xml.bind.v2.model.core.ID;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface Orm extends JpaRepository<Entitylnl,Integer> {

    Entitylnl findByName(String filename);

    Entitylnl findFirstByNameOrderByVersionDesc(String filename);

    Entitylnl findByVersionAndName(int version, String filename);

    Page<Entitylnl> findAllByNameOrderByVersionDesc(String filename, PageRequest of);

    default Page<Entitylnl> findAll(PageRequest of) {
        return null;
    }
    Optional<Entitylnl> findById(ID id);
    List<Entitylnl> findAll(Sort sort);
    @Query(value="update DeptEntity set dname=?1 where deptno=?2")
    @Modifying
    void updateName(String name,Integer id);

}